NSVI(1p)

NAME
nsvi - transfer a zone, edit it, then upload the edits

SYNOPSIS
nsvi [-01cCdDghvV] [-k keyfile] [-y [hmac:]name:key]
     [-S mode|num] [-s server] <zone>

DESCRIPTION
The nsvi program makes an AXFR request for the zone, runs your editor so you can make whatever changes you require, then it runs nsdiff | nsupdate to push those changes to the server.

Automatically-maintained DNSSEC records are stripped from the zone before it is passed to your editor, and you do not need to manually adjust the SOA serial number.

OPTIONS
Most nsvi options are passed to nsdiff and some to nsupdate.

-h  Display this documentation.

-V  Display version information.

-v  Verbose mode.

-n  Interactive confirmation.

    When you quit the editor, you will be shown the changes, then asked whether to make the update (press U or Y), edit again (press E or R), or quit (press another key).

-01cCdD
-S mode|num
    These options are passed to nsdiff. For details see the nsdiff manual.

-s server[#port]
    Transfer the zone from the server given in this option, and send the update request to the same place. You can specify the server host name or IP address, optionally followed by a "#" and the port number.

    If you do not use the -s option, the zone will be transferred from localhost, and nsvi will use nsupdate -l to update the zone.

-g  Passed to nsupdate to use GSS-TSIG for UPDATE.

-k keyfile
    TSIG key file, passed to dig, nsdiff, and nsupdate.

-y [hmac:]name:key
    Literal TSIG key, passed to dig, nsdiff, and nsupdate.

ENVIRONMENT

TMPDIR
    Location for temporary files.

VISUAL
EDITOR
    Which editor to use. $VISUAL is used if it is set, otherwise $EDITOR, otherwise vi.

VERSION
  This is nsvi-1.85 <https://dotat.at/prog/nsdiff/>

  Written by Tony Finch <fanf2@cam.ac.uk> <dot@dotat.at>
  at Cambridge University Information Services.
  You may do anything with this. It has no warranty.

ACKNOWLEDGMENTS
Thanks to Tristan Le Guern for the -n option and Mantas Mikulėnas for the -g option. Thanks to David McBride and Petr Menšík for providing useful feedback.

SEE ALSO
nsdiff(1), nsupdate(1), dig(1).